package com.chenyang.nse.bussiness.entity.orm.table.core.masking;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DESENSITIZATION_RULE"
)
public class TCoreDesensitizationRule extends TBaseEntity {
   private String dataarea_id;
   private String rulename;
   private String expression;
   private String defaluttype;

   public String getDataarea_id() {
      return this.dataarea_id;
   }

   public void setDataarea_id(String dataarea_id) {
      this.dataarea_id = dataarea_id;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getExpression() {
      return this.expression;
   }

   public void setExpression(String expression) {
      this.expression = expression;
   }

   public String getDefaluttype() {
      return this.defaluttype;
   }

   public void setDefaluttype(String defaluttype) {
      this.defaluttype = defaluttype;
   }
}
